curl -X DELETE "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'DELETE',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
Zapier
Zapier 웹훅 삭제
워크스페이스에서 기존 Zapier 웹훅 URL을 삭제합니다
DELETE
/
v1
/
integrations
/
zapier
/
webhook
curl -X DELETE "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'DELETE',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
개요
이 엔드포인트는 워크스페이스에서 이전에 등록된 Zapier 웹훅 URL을 제거합니다. Caret는 이 URL로 알림 전송을 즉시 중단합니다. 이것은 Zap이 꺼지거나 삭제될 때 Zapier가 웹훅을 정리하는 데 사용됩니다.인증
모든 API 요청은Authorization: Bearer <API_KEY> 형식을 사용합니다.
string
필수
Bearer 토큰. 형식:
Bearer <API_KEY>.Body
string
필수
제거할 웹훅 URL.
https://로 시작하는 유효한 URL이어야 합니다.응답
string
작업 결과를 나타냅니다. 요청이 처리되면 항상
success.
curl -X DELETE "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'DELETE',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
⌘I